SpareSpare Docs
GuidesAPI Reference

Providers

List available open banking providers and institutions.

GET
/api/v1.0/pis/Provider/List
Authorization
Query

Country ISO 3166 alpha-2 code

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/pis/Provider/List?countryCode=string"
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "country": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "currency": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "englishName": "string",          "arabicName": "string",          "iso4117Code": "str",          "iso4117Number": "stri"        },        "englishName": "string",        "arabicName": "string",        "iso3166Code": "st",        "timeZone": "string"      },      "address": "string",      "phone": "string",      "isEnable": true,      "arabicName": "string",      "englishName": "string",      "status": "Active",      "logo": "http://example.com"    }  ]}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "country": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "currency": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "englishName": "string",          "arabicName": "string",          "iso4117Code": "str",          "iso4117Number": "stri"        },        "englishName": "string",        "arabicName": "string",        "iso3166Code": "st",        "timeZone": "string"      },      "address": "string",      "phone": "string",      "isEnable": true,      "arabicName": "string",      "englishName": "string",      "status": "Active",      "logo": "http://example.com"    }  ]}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty